SQLITE3_DB_MUTEX(3)

NAME
sqlite3_db_mutex - Retrieve the mutex for a database connection

SYNOPSIS
sqlite3_mutex *
sqlite3_db_mutex(sqlite3*);

DESCRIPTION
This interface returns a pointer the sqlite3_mutex object that serializes access to the database connection given in the argument when the threading mode is Serialized. If the threading mode is Single-thread or Multi-thread then this routine returns a NULL pointer.

SEE ALSO
sqlite3(3), sqlite3_mutex(3)